f



Run-Time Engine 8.2.1 install failure with application installer

I built an executable and created an installer for it, and checked to include the Run-Time Engine.
When a coworker was attempting to install the application on a PXI chassis at a remote location, an error message popped up:
 
----------------------------------------------------------------------------------------------------------------
The NI LabVIEW Run-Time Engine 8.2.1 installation has failed with the folowing error:
Internal Error 2725
Continue? (Yes/No)
----------------------------------------------------------------------------------------------------------------
 
He did continue, and of course when he tries to run the app, it says it's unable to locate the Run-Time Engine.
 
Any ideas? 
 
Thanks,
 
Rod
0
x9561 (148440)
5/7/2007 3:10:10 PM
comp.lang.labview 35213 articles. 1 followers. vasusachin24 (1) is leader. Post Follow

1 Replies
821 Views

Similar Articles

[PageSpeed] 15

Hi Ron,
Which operating systems are you trying this onto?
I would try first rebuilding the installer to make sure it wasn't a one time thing.  If that doesn't work can you tell us what if any differences are there between the 2 computers (the development and the chassis).
In the mean while&nbsp;try downloading the run-time engine from <a href="http://digital.ni.com/softlib.nsf/websearch/03682807D12868CD862572C300519E72?opendocument&amp;node=132060_US" target="_blank">http://digital.ni.com/softlib.nsf/websearch/03682807D12868CD862572C300519E72?opendocument&amp;node=132060_US</a>&nbsp;and install it separately to see if that gives you a temporary workaround.
0
x9561 (148440)
5/8/2007 8:10:07 PM
Reply:

Similar Artilces:

Installing the 8.2.1 run time engine on a system with LabVIEW 8.2 installed
Note: This is a <a href="http://forums.lavag.org/index.php?showtopic=7942" target="_blank">cross-post to LAVA</a>. If I have a system with LabVIEW 8.2 installed and I upgrade only the RTE to 8.2.1 (leaving LabVIEW 8.2 installed) will I run into any problems?- Will applications that I build in LabVIEW 8.2 still run correctly? - Which RTE will applications that I build in 8.2 require? (I'm presuming that the 8.2.1 RTE upgrade will not touch the lvapp.lib stub used by the app builder and that apps built in 8.2 will run in the 8.2 RTE) Here is what I (think I) know: - The 8.2.1 run time engine (RTE) is an upgrade to the 8.2 RTE, meaning that the 8.2 and 8.2.1 RTEs cannot be installed at the same time. - Applications built using LabVIEW 8.2 will run in the 8.2.1 RTE, however apps built using LabVIEW 8.2.1 require the 8.2.1 RTE and will not run in the 8.2 RTE Has anyone attempted this?Thanks, Hi Jim, Anything that we product that is X.X.X is mostly a bug fix release, and so you are correct in that it installs over X.X (your example 8.2.1 installs over 8.2 and so it is not possible to have them installed at the same time separately). It also means that there is a good chance that you can interchange VIs and projects without a problem, but it is not guaranteed. &nbsp; This means that applications built in LV 8.2 can run using 8.2.1 RTE, and LV 8.2.1 applications can probably run with 8.2 RTE, but it is highly recommended to have the same ve...

Installing LabVIEW Run-Time Engine 8.5.1
I want to run saved VI's from one computer with LabVIEW 8.5 Professional Development (8.5) on another computer using the Run-Time Software. &nbsp; After installing LabVIEW Run-Time Engine 8.5 (<a href="http://ftp.ni.com/support/softlib/labview/labview_runtime/8.5/windows/LabVIEW85RuntimeEngineFull.exe" target="_blank">LabVIEW85RuntimeEngineFull.exe</a>&nbsp;from <a href="http://joule.ni.com/nidu/cds/view/p/id/861/lang/en" target="_blank">http://joule.ni.com/nidu/cds/view/p/id/861/lang/en</a>), do I need to do anything else before running a saved VI created in LabVIEW 8.5 from another computer? I install the program, but the only options under programs-national instruments are: -data socket -License Manager &nbsp; When I installed LabVIEW DSC Run-Time System 7.1 on the same computer there was an shortcut under&nbsp;"programs-national instruments-" to LabVIEW DSC Run-Time System 7.1, which is what I need but for the Run-Time Engine 8.5 instead. I believe you can not do this. The runtime I believe requires the executable version of the VI. You will need to build an application from your saved VI. In the application builder, you can include the run-time libraries and progras. This will help ease the installation process. Once you have completed this operation, you can just run the executable with your VI. Joseph is correct. The run-time engine is only for "stand-alone" execu...

You must install LabVIEW run-time engine on the computer you run the application
When I build an executable application, I get a warning message says,'You must install LabVIEW run-time engine on the computer you run the application' How can I solve this problem? Thanks. It is not a problem. It is a requirement that you install the run-time engine so the app builder is just reminding you of that fact. When you create the installer for your app, you can optionally choose to have the run-time engine as part of the install. Install LabVIEW run-time version (1 CD) on your computer before you run the .exe. ...

I have installed Switch Exec 2.1, running LabVIEW 8.2 and none of the VI's appear on my functions palette
See Subject Line. &nbsp; Thanks Chris ...

Does Labview run-time engine 6.0 application created by Windows NT/2000 can install & run on UNIX
LabVIEW exe created in Windows and running in UNIX LabVIEW source code from one OS can be ported to another OS (except for OS specific things like ActiveX) but executables cannot. You would need the unix version of LabVIEW and it's app builder to create an new exe. ...

labview 8.2 application builder
Problem Description : I've been developing with LabView for 8+ years and recently had to upgrade from&nbsp;6.1 to 8.2 because of compatibility issues with LabView, MAX, DAQ and SERIAL.&nbsp;LabView had always been so intuitive and efficient, but that has changed to some degree sometime after 6.1 IMO.&nbsp; I won't get further into that, but I am having several problems with Application Builder and particularly, with creating an Installer and installing test programs.&nbsp; I haven't seen many posts on this subject so I assume I am doing something wrong. In 6.1, I could build a program and create an installer in minutes, and all in the same step - Click on Build and the installer was created. I could also locate my files anywhere I wanted. Unfortunately the process in 8.2 is no where as simple as one has to create a build and installer separately. So far, I haven't been able to distribute my installer files where I want them according to our internal procedures. The build portion works fine and I can locate my files as needed, but not so for the installer (at least I haven't figured it out yet).&nbsp; The main problem is that I have some common DLLs that I'd like to locate in a common directory for all of my programs, but it seems like I'm stuck putting them in the installation&nbsp;directory of every program that I write.&nbsp; Again, it is fine in build.&nbsp; There doesn't seem to be any flexibility in changing...

Re: LABVIEW 8.0 DATALOGGING RUN-TIME SYSTEM installation failure
Hi Aviram, Thank you for contacting National Instruments.&nbsp; Does the error give any more information about why the installation failed?&nbsp; Does it say the instance name is invalid or another version is already installed?&nbsp; There are several reasons this could happen.&nbsp; This error means that DSC could not install the Microsoft SQL Server Desktop Engine.&nbsp; Please take a look at this <a href="http://support.microsoft.com/default.aspx?scid=kb;en-us;317268" target="_blank">Microsoft Knowledge Base article</a> that describes several symptoms and workarounds to see if this is useful. &nbsp; Any more information you can provide about the specific error message would be helpful in troubleshooting this issue. ...

Advenced Signal Processing 7.5 Run Time Engine in LVIEW 8.2 Installer
Hello, I am trying ot create an installer using LVIEW 8.2 and I need to include the Advanced Signal Processing Toolkit run-time engine but this is not listed in the 'Additional installers'. &nbsp; I have run and installed the Advanced Signal Processing Toolkit (7.5) and the run time engine on my machine. &nbsp; How can I include this run time engine in my installer? &nbsp; &nbsp; You can run the ASPT Run-time Engine 7.5&nbsp;installer in the machine to run your installer.&nbsp; &nbsp; If you want to include ASPT Run-time Engine 7.5 in your installer, you can add the DLLs of the ASPT into your project and let your installer install the DLLs to the System32 folder.&nbsp; The ASPT Run-time Engine 7.5 actually install the following DLLs to the System32 folder: &nbsp; LVTFA.dll LVTSA.dll LVWA.dll TFACore.dll TFARef.dll TSACore.dll WACore.dll WARef.dll &nbsp; However, by doing so, you might have troubles in some cases.&nbsp; Those DLLs might be shared by othe NI toolkits.&nbsp; Running the ASPT Run-time Engine 7.5 installer is preferred because it can handle the sharing and version issues. thanks for the hints. i am wondering whether adding the ASPT run time engine in&nbsp;the installer so that it also installs is a possibility...and if so how can i do this manually?....i.e.&nbsp;I cannot select it from the list as it does not appear there, but can i add it manually?.&nbsp;&nbsp; The Application Builder of ...

Unable to install LV Runtime Engine 7.1.1 with LabVIEW Professional 8.5.1
I installed&nbsp;LabVIEW Professional Sys. for Windows (XP) 8.5 and then the 8.5.1 update. Somewhere in the original installation, LV Run-time Engine 7.1 was installed. But I need LV RTE 7.1.1. So I attempted to install RTE 7.1.1. Problem: The LV RTE installer aborts with the following message: &nbsp; "Installation aborted. Newer version already installed."&nbsp; &nbsp; Why do I need 7.1.1? I must run some commercial LV executables that were compiled with LV 7.1.1 and will not run under 7.1. :smileysad: You may have to uninstall RTE 8.5.1 to proceed with the 7.1.1 install and then reinstall RTE 8.5.1. &nbsp; I hope this helps! Well, I have to correct myself. MAX indicated that LV RTE 7.1 (not 7.1.1) was installed. My complied LV app indicated that 7.1.1 was not installed. I checked Windows Add New Programs and selected "National Instruments Software" I found that LV RTE 7.1.1 was, in fact, installed. So&nbsp;I selected LabVIEW Runtime Engine 7.1.1 and clicked Repair. After rebooting, My app works correctly. Again, MAX incorrectly displays LV RTE 7.1 (not 7.1.1). My app works, so&nbsp;I don't care. :smileyhappy: ...

NI Vision Run-Time Engine 8.2
I've built an installer for an application using LabVIEW 8.2 and Vision8.2.&nbsp; I have sent this installer to someone for 6 months and they have had no problems completing the install.&nbsp; Now the last time that I sent the installer, the user is getting the attached error during install."NI Vision Run-Time Engine 8.2Error: Another installer or uninstaller is running.Finish that installer or uninstaller and try again."When the user clicks OK to this error, the user is then told to restart or finish uninstall.&nbsp; Since we do not know what uninstall is being asked for, the user restarted the computer and attempted running the software - to which he was prompted for LVWA.dll file and he did not know what to do from there.I gave the installer to a second beta-tester - the same thing occurred.The only thing 'of significance' that has changed in my software that I can think of that is Vision related is the inclusion in the software of the ability to read/write .TIF files.&nbsp; I have no clue whether that might have anything to do with the error.Any help is appreciated.&nbsp; NI - I can post the installer ZIP to your ftp site if you want.Sincerely,Don error.jpg: http://forums.ni.com/attachments/ni/170/227954/1/error.jpg Hi Don, It sounds like you may be missing some of the DLL?s that should be included as supported files in your build.&nbsp; The LWVA.dll is located in system32 folder (C:\WINDOWS\system32), try including it as ...

Re: Install 8.0.1 without installing 8.0.0 first? #2
Look at the sizes of the files. If they're similar, no problem -- just go ahead and install 8.0.1. I don't recall a time when Wolfram supplied just a patch or update file; every new major or minor version I've installed in recent years has been a complete installer. On 3/29/2011 7:57 AM, AES wrote: > Received Mathematica_8.0.0_OSX_MachineSpecific.dmg > for Mac some time back in 2010; still haven't gotten around > to installing it. Mathematica_8.0.1_OSX.dmg update has now > arrived. > > Should I just install the 8.0.1 dmg -- or do I need to i...

Activate labview 8.5 with version 8.2.1 installed
I have a system with labview version 8.2.1 installed. Now we have got a new version, 8.5 witch I have also installed, with the same serial code. When I want to work with version 8.5 it asks to activate, but version 8.2.1 works the way it used to be. Did I instal it wrong? Upgrade insted of a new installation? Or should I unistal version 8.2.1 before installing version 8.5? As Matthew mentioned, all versions need to be activated. &nbsp; There is no reason to uninstall a previous version, you should actually keep it around in case you run into some upgrade issues. &nbsp; Your start menu should have a link to the NI license manager. It will tell you exactly what you have installed and even lets you activate what needs to be activated. :) &nbsp; <img src="http://forums.ni.com/attachments/ni/170/280119/1/LicenseManager.png"> Message Edited by altenbach on 10-24-2007 11:48 AM LicenseManager.png: http://forums.ni.com/attachments/ni/170/280119/1/LicenseManager.png ...

Installing LabVIEW 8.2.1 with DAQmx 8.0 on Suse 10.3 for Linux.
We recently updated some of our machines to Opensuse 10.3.&nbsp; We have a set of instructions my advisor wrote that have been used for the installation of Labview 8.2.1, NIKAL 1.6, and DAQmx 8.0 on Opensuse 10.3.&nbsp; I thought I would post these instructions for anyone who may find them useful. &nbsp; NIKAL is now on version 1.7 and we have began to use that, but not as of the latest writing of these instructions.&nbsp; We have installed Labview 8.5 using these instructions as well, but they have not been modified for that either.&nbsp; I used these instructions to install Labview 8.5, NIKAL 1.7 and DAQmx base 3.1 on a laptop since we needed USB support for an NI 9233.&nbsp; It installed without problems. I changed the following:On step 10 the version of NIKAL was 1.7 not 1.6.On step 11. I installed DAQmx Base 1.3 instead of DAQmx 8.0&nbsp; and the message concerning Labview 8.0 not being installed does not occur.Steps 13 and 14 should not be necessary since the versions DAQmx Base and Labview presumably expect each other to be there.Once I had everything installed on the laptop, Labview could not see my device.&nbsp; I contacted NI and they were very helpful and suggested a few commands to run.&nbsp; Here is what I did.I ran "lsdaq" with the following output:&gt; --------------------------------&gt;&gt; Detecting National Instruments DAQ Devices&gt;&gt; Found the following DAQ Devices:&gt;&gt; NI US...

Installing NI-DAQ (MAX) also installs Run-Time engine?
Hello all, I have noticed, on computers where I have installed MAX (which installs NI-DAQ) that the Run-Time engine also appears. Does MAX install the Run-Time? Or was it MAX that installed? Or was it probably already there....? &nbsp; Thanks, Richard &nbsp; ...

Runtime engine 8.0.1 does not install because higher version is installed
&nbsp; Hello, &nbsp; I am trying to install Runtime Engine 8.0.1. This is the message I get when installing Runtime Engine 8.0.1: "A higher version of this product is already installed." &nbsp; Yet I do not have another Runtime Engine version installed. According to the NI Add/Remove program, I have the following installed: &nbsp; NI LabWindows/CVI 8.1 Run-Time Engine NI Measurement&nbsp; &amp; Automation Explorer 4.2.1 NI-488.2.2.5 NI-485x Software 1.0.1 NI-VISA Runtime 4.0 &nbsp; At some point, &nbsp;I un-installed: NI LabWindows/CVI 8.1 Run-Time Engine NI-488.2.2.5 &nbsp; but I ended up with the same results: "A higher version of this product is already installed." &nbsp; I checked my folders and deleted any trace of Runtime Engine folders. I therefore deleted: C:\Program Files\National Instruments\Shared\LabVIEW Run-Time\ &nbsp; but I am still unable to install Runtime Engine 8.0.1. &nbsp; Any idea? &nbsp; Thanks, &nbsp; Francois Hello Rick, We do not have any service contract at this time. Could you create one so we can download the fix for this problem? I submitted a bug to NI last Friday, but I haven't heard anything from them so far. (Reference#7170129) Thanks, &nbsp; Francois ...

Error installing rubygems 0.8.1 with ruby 1.8.2
I have compiled and installed ruby 1.8.2preview3 on a new laptop. On trying to install rubygems 0.8.1 (ruby install.rb) I get an error finding the file zlib at the end of the installation. I tried both commenting and uncommenting the #zlib line in the ext/Setup file during the compilation of ruby 1.8.2. From the console: --- As of RubyGems 0.8.0, library stubs are no longer needed. Searching $LOAD_PATH for stubs to optionally delete (may take a while)... ...done. No library stubs found. /usr/local/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in `require__': No such file to load ...

Run time engine install from build package failure
when trying to install LV 8.0 Run Time engine from build package, an error is generated that the target computer needs to have LabView 8.0 installed. i have verified that the run time engine is included as an additional installer under the build project. Hi MJK34, If you are being prompted to install LabVIEW there must be something in the build that requires LabVIEW, not just the runtime.&nbsp; Can you post a screenshot of your build specification?&nbsp; Thanks. &nbsp; i have found a checkbox option in the builder options where an installed labview on the target machine is required.&nbsp; after doing a new build, the installation went smoothly so this must have been the problem. thanks, Great! ...

pdfcreator invokes LabVIEW run-time engine installer!
Okay, so I'm a desktop tech, know little about LabView, but can at least install it.&nbsp; We also use pdfcreator on our desktops.&nbsp; For some reason, however, whenever pdfcreator is used (for ANYTHING, not just LabView stuff), a windows installer fires up, "please wait while windows configures NI LabVIEW Run-Time Engine 7.0."&nbsp; The installer proceeds, then gets stuck while trying to find the msi.&nbsp; Well I don't HAVE the proper MSI apparently, because my version is 7.1.1!&nbsp; When I put in the 7.1.1 Run-Time CD (the only one I have) and point ...

unable to build an installer with LabVIEW 8.2.1
I have undated from LV 8.2 to 8.2.1 today. I am trying to create an installer for an executable. The process cets stuck when it asks me for the CD with DAQmx 8.5 on it. See attrached screenshots. It is puzzlin that&nbsp; in the error explanation&nbsp; there is mention of DAQmx 8.1, but&nbsp;I just installed DAQmx 8.5! Any ideas? build errro NIDAQmx 8.1.JPG: http://forums.ni.com/attachments/ni/170/255555/1/build errro NIDAQmx 8.1.JPG unable to complete building and installer.JPG: http://forums.ni.com/attachments/ni/170/255555/2/unable to complete building and installer.JPG I had copied&nbsp;disk 1 of the Driver CDs onto my C-drive. After that, I was able to create an installation. Problem solved. NO! It didn't work! I get a message in the "Locate Distribution" window: Invalid location for "NI-DAQmx 8.5, Disk 1" &nbsp; Now what&nbsp;is invalid about having the disk in drive D:? Hello magyar, Did you re-install DAQmx 8.5 after upgrading to LabVIEW 8.2.1?&nbsp; This needs to be done to add DAQmx support for LabVIEW 8.2.1. Also, you should be able to copy the driver CD onto the hard drive and point to that location when building the installer.&nbsp; If you point it to your hard drive, it shouldn't be looking in drive D any more. Regards, ClintM National Instruments Now&nbsp;I have a working installer. I worked around the problem. I had, once more, just to&nbsp; make sure, mass compiled everything in vi.lib...

LV 8.2.1 Application Installer Error
Hello, &nbsp; &nbsp;I am getting an error when I try to run the setup.exe file that was created using the LV Installer in my project for LV 8.2.1.&nbsp; Attached is&nbsp;a screenshot of the&nbsp;error. &nbsp; Any help would be appreciated. &nbsp; Thanks, &nbsp; Russell &nbsp; &nbsp; lv installer error.PNG: http://forums.ni.com/attachments/ni/170/271201/1/lv installer error.PNG Hi Russell, This type of error is received typically when either you are not logged in as the administrator and are trying to install or there is another program that is not allowing for proper installation. I'm confused what exactly you are referring to with the LV Installer - is this the normal installation or did you create this .exe that isn't working?&nbsp;If it is the normal installation of LabVIEW itself, did you allow the installer to do all of the default settings/locations? Are you installing this over 8.2? If a custom .exe, did you change any of the settings from default? Is it possible it is trying to install files over protected ones (hence the error)? Thanks for the information! Stephanie Hello Stephanie, Thanks for your help.&nbsp; The issue was related to&nbsp;an installation of an&nbsp;executable I built myself and not the LV development software installer.&nbsp; You mentioned a possible file permissions&nbsp;problem so I checked and it turns out I didn't have the installer files checked out of my source c...

6.x and 8.2? Was: Re: Are there any problems installing 9.1 with 8.2
We're using SAS 8.2 on PCs under Windows, and it very definitely breaks an app written and running on older SAS (I'm not sure which flavor of V6 it is). Do you have a combo of 6 and 8 coexisting? Steve Raimi ...

creating installer with office toolkit 1.1.1 and labview 8
HI All, I am developing a large application with labview 8 and office toolkit 1.1.1 installed. We need to make an installer to distribute our application to all of our contractors (hundreds of them) for direct them in methods of procedure during construction, conformance reporting, inspection and test plan reports and finally uploading data gathered during installation and testing to our network assets database. I have successfully programmed the code in Labview 8 and have the report generation functioning satisfactorialy, but when i create the executable, i get the following message when t...

LabVIEW 7.1 Run-Time tries to re-install
LabVIEW 7.1 Run-Time tries to re-install or asks for the installation CD oc= casionally. I am not sure what triggers it, but one example is that every t= ime I use Internet Explorer (v. 6.0.2800.1106) to go to "http://www.dailyca= mera.com/", it happens before the page loads. I do not have any other progr= ams running and definitely do not need the LVRT library. What gives?<br><br= >System: Windows 2000 (v. 5.0.2195 SP 3)<br><br>3 events in the Event Logge= r:<br><br>1)<br>Detection of product '{518930BE-7875-4547-B026-20B92F695781= }'...

Fatal Error in LV8.2 Run-Time Engine install
Hi, &nbsp; We have a serious problem with installation of LV 8.2 Run-Time Engine (RTE). &nbsp; When a Domain Administrator&nbsp;is trying to install the RTE, the installation stops with the following error (see RTEInstallFatalError.jpg): In error message path&nbsp;'mk'&nbsp;references to domain Administrator user name. &nbsp; When&nbsp;a Local Administrator installs the RTE, there is no problem. &nbsp; Any explanations or suggestions? It is a very heavy bug, if even the domain administrator&nbsp;cannot install the RTE and therefore use the application. &nbsp; Thanks, &nbsp; WirerMessage Edited by Wirer on 04-04-2007 06:25 AM RTEInstallFatalError.JPG: http://forums.ni.com/attachments/ni/170/239662/1/RTEInstallFatalError.JPG Found a solution to the problem... &nbsp; As the error indicates there is a problem with the user's profile folder 'My Documents'. Domain administrator did not have 'My Documents' in his profile. After creating such a folder there manually, RTE installation worked successfully. &nbsp; So now the question rises: why RTE installation requires such a folder to exist? Nothing is&nbsp;installed there! &nbsp; My opinion is that RTE installation needs to be much more reliable than it is currently. Professional developers who make&nbsp;commercial products&nbsp;using LabVIEW will have a lot of pain with the current solution. &nbsp; 1) Customization options for RT...

Web resources about - Run-Time Engine 8.2.1 install failure with application installer - comp.lang.labview

Application - Wikipedia, the free encyclopedia
Text is available under the Creative Commons Attribution-ShareAlike License ;additional terms may apply. By using this site, you agree to the ...

Patent application could see the Apple Watch calling 911 when it detects a heart-attack
A patent application describes how the Apple Watch and iPhone could work together to detect medical emergencies like a heart attack, and automatically ...

Donald Trump is causing a spike in naturalization applications among Latino immigrants
... report published today in the New York Times, Donald Trump’s overtly racist rhetoric against Latinos has led to a spike in naturalization applications ...

Google now accepting applications for open source Summer of Code 2016
... of selection. Our Student Manual provides lots of helpful advice to get you started on choosing an organization and crafting a great application". ...

Introducing Analytics for Google Cast Applications
... Engineer on the Google Cast Server Infrastructure Team As a Google Cast developer, you may be wondering how many devices access your application, ...

MBA: Mortgage Applications Decreased in Latest Weekly Survey, Purchase Applications up 33% YoY
From the MBA: Refinance Applications Continue to Drop in Latest MBA Weekly Survey Mortgage applications decreased 3.3 percent from one week ...

PDF: Application essays by CPD superintendent finalists
C2E2, meet Kristin Cavallari and 20+ other things to do this weekend Breaking News News Local news Breaking News PDF: Application essays by CPD ...

Mortgage applications eke out gain
A growing divide in the mortgage market has emerged between refinance applications and those needed to purchase a home.

IDG Contributor Network: GoDaddy goes cloud, and throws in applications for good measure
GoDaddy is a funny beast. On the one hand the hosting business is huge, boasting 14 million customers worldwide and managing over 60 million ...

Want To Fly A Passenger Jet? JetBlue Is Now Taking Applications From Novice Pilots
Tired of the daily grind, and yearning to spend your work hours among the clouds, using a public address system to tell people to sit back, relax, ...

Resources last updated: 3/19/2016 3:22:02 PM